package net.davidc.egp.snaxe.board;

/**
 * A piece is a power-up or obstacle sitting on the board waiting to be eaten.
 *
 * @author David Croft (david@davidc.net)
 * @version $Id: Piece.java 26 2011-09-18 16:24:33Z david $
 */
public class Piece
{
  protected PieceType type;
  protected int x;
  protected int y;
  protected int lifetimeRemaining;

  public Piece(PieceType type, int x, int y, int lifetimeRemaining)
  {
    this.type = type;
    this.x = x;
    this.y = y;
    this.lifetimeRemaining = lifetimeRemaining;
  }

  public PieceType getType()
  {
    return type;
  }

  public int getX()
  {
    return x;
  }

  public int getY()
  {
    return y;
  }

  public int getLifetimeRemaining()
  {
    return lifetimeRemaining;
  }

  public void setLifetimeRemaining(int lifetimeRemaining)
  {
    this.lifetimeRemaining = lifetimeRemaining;
  }
}
