package net.davidc.egp.snaxe;

/**
 * @author David Croft (david@davidc.net)
 * @version $Id: LocalPlayer.java 25 2011-09-18 15:41:54Z david $
 */
public class LocalPlayer extends Player
{
  public static final int PLAYER_LOCAL_LEFT_HAND = 0;
  public static final int PLAYER_LOCAL_RIGHT_HAND = 1;
  public static final int PLAYER_LOCAL_ARROW_HAND = 2;
  public static final int PLAYER_LOCAL_NUMPAD_HAND = 3;

  private int hand;

  public LocalPlayer(int hand)
  {
    super();
    this.hand = hand;
  }

  public int getHand()
  {
    return hand;
  }

  @Override
  public void sendMessage(String message)
  {
    // do nothing
  }

  @Override
  public String toString()
  {
    return "LocalPlayer{" +
            "hand=" + hand +
            "} " + super.toString();
  }
}
